<!--
    Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)
    
    SPDX-License-Identifier: AGPL-3.0-or-later
    -->
    
<script setup lang="ts">
import { handleModeEnum } from '@/enums/enums';
import { useDashboardStore } from '@/stores/dashboard';
import type { folder } from '@/types/dashboard';
import { storeToRefs } from 'pinia';
import Button from '@/components/general/Button.vue';

const store = useDashboardStore();
const { currentFolder, folderColor, folderId, folderParent, folderName, handleMode, select, selectedItems } = storeToRefs(store);
const props = defineProps<{
    folder: folder
}>();

const handleCurrentFolder = ()=>{
    currentFolder.value = props.folder.id;
}

const handleEdit = ()=>{
    folderColor.value = props.folder.color;
    folderName.value = props.folder.name;
    folderId.value = props.folder.id;
    folderParent.value = props.folder.parent;
    handleMode.value = handleModeEnum.EDIT;
}
</script>
<template>
    <div class="inline-block relative rounded-2xl shadow-md item-card h-[300px] w-full bg-cover bg-white">
        <div class="h-full w-full rounded-2xl absolute z-[20]" :style="{backgroundColor:folder.color+'20'}"></div>
        <div class="text-[160px] size-full leading-[300px] align-middle w-full text-center">
            <div class="-ml-[150px]">
                <i class="ri-folder-2-line text-gray-700 absolute z-[22]"></i>
                <i class="ri-folder-2-fill absolute z-[21]" :style="{color:folder.color}"></i>
            </div>
        </div>
        <div class="bg-white/80 p-8 bottom-0 left-0 absolute right-0 box-border rounded-2xl z-[23]">
            <h4 class="text-xl text-elipsis line-clamp-2">{{props.folder.name}}</h4>
            <div class="flex flex-row justify-between mt-4" v-if="!select">
                <div class="">
                    <Tooltip :tooltip="$t('contentPage.editLabel')">
                        <button class="size-8 rounded-full text-gray-500 bg-white hover:bg-gray-100 leading-8 text-[24px] align-middle text-center px-1" @click="handleEdit">
                            <i class="ri-pencil-line ri-1x"></i>
                        </button>
                    </Tooltip>
                </div>
                <div class="w-fit">
                    <Button variant="accent2" @click="handleCurrentFolder">{{ $t("dashboardPage.folder.show.label")}}</Button>
                </div>
            </div>
        </div>
    </div>
</template>